/*******************************************************************************
File:			StdDefines.h

				Standard definitions file.

Version:		1.00

*******************************************************************************/

// General use definitions
#define	TRUE			(1)
#define	FALSE			(0)

#define	ON				(1)
#define	OFF			(0)

#define	HI				(1)
#define	LO				(0)

#define	PASS			(1)
#define	FAIL			(0)

#define	OK				(1)
#define	ERROR			(0)

#define	VALID_GPS_LED			0x04
#define TRX_ONOFF				0x02

#define	SW_CAR_MOTORBIKE		0x20	// PB5
#define	SW_RESERVED				0x40	// PB6
#define	SW_COMMENTTEXT			0x18	// PB4 + PB3
#define	SW_COMMENTTEXT1			0x18	// Text 1
#define	SW_COMMENTTEXT2			0x08	// Text 2
#define	SW_COMMENTTEXT3			0x10	// Text 3
#define	SW_COMMENTTEXT4			0x00	// Text 4


#define	BEGIN_TEXT1				112
#define BEGIN_TEXT2				212
#define BEGIN_TEXT3				312
#define BEGIN_TEXT4				412


#define APRS_SYMBOL_MOTORBIKE 	'<'
#define APRS_SSID_MOTORBIKE 	0x74
#define APRS_SYMBOL_CAR			'>'
#define APRS_SSID_CAR			0x72
#define APRS_SSID_DEFAULT		0x60
#define APRS_SYMBOL_FIFI		';'
#define SYMBOL_TABLE			'/'			// For primary Table
//#define SYMBOL_TABLE			'\\'		// For alternate Table
#define STANDBY_INTERVAL		3
#define POWEROFF_INTERVAL		60
